*** unzip/Makefile_	Fri Mar 20 05:48:48 1992
--- unzip/Makefile	Sun Jul 26 18:24:20 1992
***************
*** 83,94 ****
  # list of supported systems in this version
  SYSTEMS1 = 386i 3Bx 7300 amdahl apollo aviion bsd bull coherent convex
  SYSTEMS2 = cray cray_cc cyber_sgi dec dnix encore eta gcc_os2 generic
! SYSTEMS3 = generic2 gould hk68 hp icc_os2 minix mips msc_dos msc_os2 next
! SYSTEMS4 = p_iris pyramid rs6000 rtaix sco sco_dos sco_x286 sequent sgi
! SYSTEMS5 = stellar sun sysv tahoe ultrix vax wombat
  
! SYS_UTIL1 = ship ship_dos ship_gcc ship_icc ship_os2 ship_sysv zi_dos
! SYS_UTIL2 = zi_gcc zi_icc zi_os2 zipinfo 
  
  ####################
  # DEFAULT HANDLING #
--- 83,94 ----
  # list of supported systems in this version
  SYSTEMS1 = 386i 3Bx 7300 amdahl apollo aviion bsd bull coherent convex
  SYSTEMS2 = cray cray_cc cyber_sgi dec dnix encore eta gcc_os2 generic
! SYSTEMS3 = generic2 gould hk68 hp icc_os2 linux minix mips msc_dos msc_os2 
! SYSTEMS4 = next p_iris pyramid rs6000 rtaix sco sco_dos sco_x286 sequent
! SYSTEMS5 = sgi stellar sun sysv tahoe ultrix vax wombat
  
! SYS_UTIL1 = ship ship_dos ship_gcc ship_icc ship_linux ship_os2 ship_sysv zi_dos
! SYS_UTIL2 = zi_gcc zi_icc zi_linux zi_os2 zipinfo 
  
  ####################
  # DEFAULT HANDLING #
***************
*** 310,315 ****
--- 310,322 ----
  	 CFLAGS="-Q -Sm -O -Gs -DOS2 $(CR) $(LOCAL_UNZIP)"\
  	 LDFLAGS="-Q" LDFLAGS2="unzip.def -Fe unzip.exe"
  
+ # Linux (tested under 0.96c-pl2 with gcc 2.2.2)
+ # decide if you want to use static or shared libs (default is static)
+ linux:
+ 	$(MAKE) unzip CC=gcc\
+ 	CFLAGS="-static -O6 -DUNIX -w"
+ #	CFLAGS="-O6 -DUNIX -w"
+ 
  # Minix 1.5 PC for the 386 with gcc or bcc
  minix:
  	$(MAKE) unzip CC=gcc CFLAGS="$(CFLAGS) -DMINIX"
***************
*** 443,448 ****
--- 450,462 ----
  	 CFLAGS="-Q -Sm -O $(LOCAL_UNZIP) -Gs -DOS2"\
  	 LDFLAGS2="-Fe ship.exe"
  
+ ship_linux:		# GNU gcc
+ # decide if you want to use static or shared libs: (default is static)
+ 	$(MAKE) ship CC=gcc LD=gcc\
+ 	LDFLAGS2="-s -o ship"\
+ 	CFLAGS="-static -O6 -DUNIX -w"
+ #	CFLAGS="-static -O6 -DUNIX -w"
+ 
  ship_gcc:		# GNU gcc / emx, 32-bit OS/2
  	$(MAKE) _ship CC=gcc LD=gcc EXE=.exe\
  	 CFLAGS="-O -DOS2" LDFLAGS2="-s -o ship.exe"
***************
*** 492,497 ****
--- 506,516 ----
  	 CFLAGS="-O -DOS2 -DEMX32" ZC="" MV="ren"\
  	 ZL="-s" ZL2="-o zipinfo.exe"
  
+ zi_linux:	zipinfo.c unzip.h
+ # decide if you want to use static or shared libs (default is static)
+ 	$(MAKE) zipinfo CC=gcc LD=gcc ZC=""\
+ 	CFLAGS="-static -O6 -DUNIX -w"
+ #	CFLAGS="-O6 -DUNIX -w"
  
  ################
  # ATTRIBUTIONS #
***************
*** 522,527 ****
--- 541,547 ----
  #  hp:		Randy McCaskile <rmccask@seas.gwu.edu> (HP-UX)
  #		Gershon Elber <gershon@cs.utah.edu> (HP BSD 4.3)
  #  icc_os2:	Kai Uwe Rommel <rommel@informatik.tu-muenchen.de>
+ #  linux:	Fabian Mueller <fabi@imp.ch>
  #  minix:	Kai Uwe Rommel (Minix 1.5)
  #  mips:	Peter Jones <jones@mips1.uqam.ca>
  #  msc_dos:	Greg Roelofs
***************
*** 550,554 ****
--- 570,575 ----
  #  wombat:	Joe Isuzu <joe@trustme.isuzu.com>
  #  zi_dos:	Greg Roelofs
  #  zi_icc:	Kai Uwe Rommel
+ #  zi_linux:	Fabian Mueller
  #  zi_os2:	Greg Roelofs, Kai Uwe Rommel
  #  zipinfo:	Greg Roelofs
*** unzip/Make_linux_	Sun Jul 26 18:23:47 1992
--- unzip/Make_linux	Sun Jul 26 18:24:20 1992
***************
*** 0 ****
--- 1,14 ----
+ #!/bin/sh
+ BINDIR=/usr/local/bin
+ MANDIR=/usr/man/man1
+ echo "building executables .."
+ for i in linux zi_linux ship_linux ; do make $i ; done ;
+ echo "installing files .."
+ for i in unzip.1 zipinfo.1 ; do cp -fv $i $MANDIR ; done
+ chown bin.bin unzip ship zipinfo $MANDIR/unzip.1 $MANDIR/zipinfo.1
+ chmod 555 unzip zipinfo ship ; chmod 444 $MANDIR/unzip.1 $MANDIR/zipinfo.1
+ for i in unzip ship zipinfo ; do mv -fv $i $BINDIR ; done
+ echo "cleaning up .."
+ make clean
+ rm -f misc_.o zipinfo.o README.linux~ Make_linux~
+ echo "done."
*** unzip/README.linux_	Sun Jul 26 18:23:38 1992
--- unzip/README.linux	Sun Jul 26 18:24:20 1992
***************
*** 0 ****
--- 1,15 ----
+ Sun Jul 26 18:02:06  1992
+ 
+          UNZIP (v4.2) / ZIPINFO (v0.96k BETA) / SHIP (1.1) for Linux
+         ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+         Package info: 'unzipsrc.tar.Z' patched with 'unzipsrc.dff.Z'
+         (available on banjo.concert.net /pub/Linux/Incoming)
+ 				    * * *
+ Enter 'sh Make_linux' for a complete installation. Please login as 'root' and
+ ensure the the directories /usr/local/bin and /usr/man/man1 exist. The sources
+ are ready to compile with GCC 2.2.2; all executables have been successfully
+ tested under Linux v0.96c-pl2.
+ 
+ Regards,
+ --Fabian Mueller, fabi@imp.ch
+ -------------------------------------------------------------------------------
